Bug 6325 - Smbclient 3.3.3 can't login to Samba 3.0.28 server
Smbclient 3.3.3 can't login to Samba 3.0.28 server
Status: RESOLVED WONTFIX
Product: Samba 3.3
Classification: Unclassified
Component: Client tools
3.3.3
All Linux
: P3 major
: ---
Assigned To: Volker Lendecke
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-05 08:30 UTC by Leroy Raymond van Logchem
Modified: 2009-07-28 03:11 UTC (History)
0 users

See Also:


Attachments
Samba client 3.0.28 configuration (482 bytes, application/octet-stream)
2009-05-12 07:08 UTC, Leroy Raymond van Logchem
no flags Details
Samba server 3.0.23d Loglevel 10 of succesful connect from the 3.0.28a client (143.84 KB, application/octet-stream)
2009-05-12 07:11 UTC, Leroy Raymond van Logchem
no flags Details
Samba server 3.0.23d configuration (634 bytes, application/octet-stream)
2009-05-12 07:11 UTC, Leroy Raymond van Logchem
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Leroy Raymond van Logchem 2009-05-05 08:30:14 UTC
# ./smbclient -V
Version 3.3.3
# ./smbclient -Ujohn //server/john
Enter john's password: 
session setup failed: NT_STATUS_LOGON_FAILURE

While older client works:

# /opt/samba-3.0.30/bin/smbclient -Ujohn //server/john
Password: 
Domain=[SERVER] OS=[Unix] Server=[Samba 3.0.28]
smb: \> 

Debug logs on the 3.0.28 server when the 3.3.3 tries to connect:

[2009/05/05 15:22:05, 2] lib/interface.c:add_interface(81)
  added interface ip=192.168.190.215 bcast=192.168.255.255 nmask=255.255.0.0
[2009/05/05 15:22:05, 2] lib/interface.c:add_interface(81)
  added interface ip=127.0.0.1 bcast=127.255.255.255 nmask=255.0.0.0
[2009/05/05 15:22:05, 5] auth/auth_util.c:make_user_info_map(161)
  make_user_info_map: Mapping user [SOMEDOMAIN]\[john] from workstation [PDC]
[2009/05/05 15:22:05, 5] auth/auth_util.c:make_user_info(75)
  attempting to make a user_info for john (john)
[2009/05/05 15:22:05, 5] auth/auth_util.c:make_user_info(85)
  making strings for john's user_info struct
[2009/05/05 15:22:05, 5] auth/auth_util.c:make_user_info(117)
  making blobs for john's user_info struct
[2009/05/05 15:22:05, 3] auth/auth.c:check_ntlm_password(221)
  check_ntlm_password:  Checking password for unmapped user [SOMEDOMAIN]\[john]@[PDC] with the new password interface
[2009/05/05 15:22:05, 3] auth/auth.c:check_ntlm_password(224)
  check_ntlm_password:  mapped user is: [SERVER]\[john]@[PDC]
[2009/05/05 15:22:05, 5] lib/util.c:dump_data(2264)
  [000] A4 5F 52 D3 82 3E 4A 5B                           ._R..>J[
[2009/05/05 15:22:05, 8] lib/util.c:is_myname(2076)
  is_myname("SERVER") returns 1
[2009/05/05 15:22:05, 3] smbd/sec_ctx.c:push_sec_ctx(208)
  push_sec_ctx(0, 0) : sec_ctx_stack_ndx = 1
[2009/05/05 15:22:05, 3] smbd/uid.c:push_conn_ctx(358)
  push_conn_ctx(0) : conn_ctx_stack_ndx = 0
[2009/05/05 15:22:05, 3] smbd/sec_ctx.c:set_sec_ctx(241)
  setting sec ctx (0, 0) - sec_ctx_stack_ndx = 1
[2009/05/05 15:22:05, 5] auth/auth_util.c:debug_nt_user_token(448)
  NT user token: (NULL)
[2009/05/05 15:22:05, 5] auth/auth_util.c:debug_unix_user_token(474)
  UNIX token of user 0
  Primary group is 0 and contains 0 supplementary groups
[2009/05/05 15:22:05, 5] passdb/pdb_smbpasswd.c:getsmbfilepwent(585)
  getsmbfilepwent: end of file reached.
[2009/05/05 15:22:05, 7] passdb/pdb_smbpasswd.c:endsmbfilepwent(347)
  endsmbfilepwent_internal: closed password file.
[2009/05/05 15:22:05, 3] smbd/sec_ctx.c:pop_sec_ctx(356)
  pop_sec_ctx (0, 0) - sec_ctx_stack_ndx = 0
[2009/05/05 15:22:05, 3] auth/auth_sam.c:check_sam_security(281)
  check_sam_security: Couldn't find user 'john' in passdb.
[2009/05/05 15:22:05, 5] auth/auth.c:check_ntlm_password(273)
  check_ntlm_password: sam authentication for user [john] FAILED with error NT_STATUS_NO_SUCH_USER
[2009/05/05 15:22:05, 6] libsmb/clientgen.c:write_socket(153)
  write_socket(24,190)
[2009/05/05 15:22:05, 6] libsmb/clientgen.c:write_socket(156)
  write_socket(24,190) wrote 190
[2009/05/05 15:22:05, 5] lib/util.c:show_msg(484)
[2009/05/05 15:22:05, 5] lib/util.c:show_msg(494)
  size=35
  smb_com=0x73
  smb_rcls=109
  smb_reh=0
  smb_err=49152
  smb_flg=136
  smb_flg2=49153
  smb_tid=0
  smb_pid=24887
  smb_uid=100
  smb_mid=3
  smt_wct=0
  smb_bcc=0
[2009/05/05 15:22:05, 3] libsmb/cliconnect.c:cli_session_setup(972)
  cli_session_setup: NT1 session setup failed: NT_STATUS_LOGON_FAILURE
[2009/05/05 15:22:05, 6] libsmb/clientgen.c:write_socket(153)
  write_socket(24,122)
[2009/05/05 15:22:05, 6] libsmb/clientgen.c:write_socket(156)
  write_socket(24,122) wrote 122
[2009/05/05 15:22:05, 5] lib/util.c:show_msg(484)
[2009/05/05 15:22:05, 5] lib/util.c:show_msg(494)
  size=35
  smb_com=0x73
  smb_rcls=109
  smb_reh=0
  smb_err=49152
  smb_flg=136
  smb_flg2=49153
  smb_tid=0
  smb_pid=24887
  smb_uid=100
  smb_mid=4
  smt_wct=0
  smb_bcc=0
[2009/05/05 15:22:05, 3] libsmb/cliconnect.c:cli_session_setup(972)
  cli_session_setup: NT1 session setup failed: NT_STATUS_LOGON_FAILURE
[2009/05/05 15:22:05, 1] auth/auth_server.c:check_smbserver_security(362)
  password server PDC rejected the password: NT_STATUS_LOGON_FAILURE
[2009/05/05 15:22:05, 1] auth/auth_server.c:check_smbserver_security(367)
  password server PDC gave us guest only
[2009/05/05 15:22:05, 6] libsmb/clientgen.c:write_socket(153)
  write_socket(24,43)
[2009/05/05 15:22:05, 6] libsmb/clientgen.c:write_socket(156)
  write_socket(24,43) wrote 43
[2009/05/05 15:22:05, 5] lib/util.c:show_msg(484)
[2009/05/05 15:22:05, 5] lib/util.c:show_msg(494)
  size=39
  smb_com=0x74
  smb_rcls=0
  smb_reh=0
  smb_err=0
  smb_flg=136
  smb_flg2=49153
  smb_tid=0
  smb_pid=24887
  smb_uid=100
  smb_mid=5
  smt_wct=2
  smb_vwv[ 0]=  255 (0xFF)
  smb_vwv[ 1]=    0 (0x0)
  smb_bcc=0
[2009/05/05 15:22:05, 5] auth/auth.c:check_ntlm_password(273)
  check_ntlm_password: smbserver authentication for user [john] FAILED with error NT_STATUS_LOGON_FAILURE
[2009/05/05 15:22:05, 2] auth/auth.c:check_ntlm_password(319)
  check_ntlm_password:  Authentication for user [john] -> [john] FAILED with error NT_STATUS_LOGON_FAILURE
[2009/05/05 15:22:05, 5] auth/auth_util.c:free_user_info(2056)
  attempting to free (and zero) a user_info structure
[2009/05/05 15:22:05, 3] smbd/error.c:error_packet_set(106)
  error packet at smbd/sesssetup.c(105) cmd=115 (SMBsesssetupX) NT_STATUS_LOGON_FAILURE
[2009/05/05 15:22:05, 5] lib/util.c:show_msg(484)
[2009/05/05 15:22:05, 5] lib/util.c:show_msg(494)
  size=35
  smb_com=0x73
  smb_rcls=109
  smb_reh=0
  smb_err=49152
  smb_flg=136
  smb_flg2=51201
  smb_tid=0
  smb_pid=14736
  smb_uid=100
  smb_mid=3
  smt_wct=0
  smb_bcc=0
[2009/05/05 15:22:05, 3] smbd/process.c:timeout_processing(1328)
  timeout_processing: End of file from client (client has disconnected).
[2009/05/05 15:22:05, 5] lib/gencache.c:gencache_shutdown(94)
  Closing cache file
[2009/05/05 15:22:05, 5] libsmb/namecache.c:namecache_shutdown(79)
  namecache_shutdown: netbios namecache closed successfully.
[2009/05/05 15:22:05, 3] smbd/sec_ctx.c:set_sec_ctx(241)
  setting sec ctx (0, 0) - sec_ctx_stack_ndx = 0
[2009/05/05 15:22:05, 5] auth/auth_util.c:debug_nt_user_token(448)
  NT user token: (NULL)
[2009/05/05 15:22:05, 5] auth/auth_util.c:debug_unix_user_token(474)
  UNIX token of user 0
  Primary group is 0 and contains 0 supplementary groups
[2009/05/05 15:22:05, 5] smbd/uid.c:change_to_root_user(288)
  change_to_root_user: now uid=(0,0) gid=(0,0)
[2009/05/05 15:22:05, 3] smbd/connection.c:yield_connection(69)
  Yielding connection to
[2009/05/05 15:22:05, 3] smbd/server.c:exit_server_common(768)
  Server exit (normal exit)
Comment 1 Volker Lendecke 2009-05-05 08:34:37 UTC
Please add both smb.conf files for client(s) and server, and also please upload a debug level 10 log of smbd successfully authenticating the 3.0.28 client.

Thanks,

Volker
Comment 2 Leroy Raymond van Logchem 2009-05-12 07:08:38 UTC
Created attachment 4142 [details]
Samba client 3.0.28 configuration

Configuration of the client which can successfully connect.
Comment 3 Leroy Raymond van Logchem 2009-05-12 07:11:00 UTC
Created attachment 4143 [details]
Samba server 3.0.23d Loglevel 10 of succesful connect from the 3.0.28a client
Comment 4 Leroy Raymond van Logchem 2009-05-12 07:11:28 UTC
Created attachment 4144 [details]
Samba server 3.0.23d configuration
Comment 5 Volker Lendecke 2009-07-28 03:03:35 UTC
Ok, you're using security=server. This is highly deprecated these days. Trying to look at it.

Volker
Comment 6 Volker Lendecke 2009-07-28 03:11:30 UTC
Ok, for the 3.3 smbclient you have to set "client lanman auth = yes", then it will work. At least with that I could make it work in my test setup here.

I'm not going to attempt fixing "security=server" for non-lanman auth. If you have problems with a server in 'security=domain' mode, please open a new bug.

Thanks,

Volker